> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Video Favorites

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Monetization",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/consumers/{consumer_id}/video_favorites": {
      "get": {
        "summary": "List Video Favorites",
        "description": "",
        "tags": [
          "Video Favorites"
        ],
        "operationId": "listVideoFavorites",
        "parameters": [
          {
            "name": "consumer_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of consumer"
          },
          {
            "name": "details",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            },
            "description": "Include detailed information about each video favorite"
          },
          {
            "name": "order",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "asc",
                "desc"
              ]
            },
            "description": "Filter by ascending or descending order"
          },
          {
            "name": "sort",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Sort on the specified field"
          }
        ],
        "responses": {
          "200": {
            "description": "Basic or detailed response, depending on `details` query parameter",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "VideoFavoritesResponse",
                      "type": "object",
                      "properties": {
                        "response": {
                          "type": "array",
                          "items": {
                            "$ref": "#/paths/~1consumers~1%7Bconsumer_id%7D~1video_favorites/post/responses/201/content/application~1json/schema/properties/response"
                          }
                        }
                      }
                    },
                    {
                      "title": "VideoFavoritesDetailsResponse",
                      "type": "object",
                      "properties": {
                        "response": {
                          "type": "array",
                          "items": {
                            "title": "VideoFavoriteDetails",
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "consumer_id": {
                                "type": "string"
                              },
                              "created_at": {
                                "type": "string"
                              },
                              "deleted_at": {
                                "type": "string"
                              },
                              "updated_at": {
                                "type": "string"
                              },
                              "video_details": {
                                "type": "object",
                                "properties": {
                                  "thumbnails": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "alt_text": {
                                          "type": "string"
                                        },
                                        "aspect_ratio": {
                                          "type": "number"
                                        },
                                        "height": {
                                          "type": "integer"
                                        },
                                        "name": {
                                          "type": "string"
                                        },
                                        "url": {
                                          "type": "string"
                                        },
                                        "width": {
                                          "type": "integer"
                                        }
                                      }
                                    }
                                  },
                                  "title": {
                                    "type": "string"
                                  },
                                  "internal_title": {
                                    "type": "string"
                                  },
                                  "description": {
                                    "type": "string"
                                  },
                                  "short_description": {
                                    "type": "string"
                                  },
                                  "friendly_title": {
                                    "type": "string"
                                  },
                                  "published_at": {
                                    "type": "string"
                                  },
                                  "enable_at": {
                                    "type": "string"
                                  },
                                  "disable_at": {
                                    "type": "string"
                                  },
                                  "duration": {
                                    "type": "integer"
                                  },
                                  "precise_duration": {
                                    "type": "number"
                                  },
                                  "categories": {
                                    "type": "array"
                                  },
                                  "series": {
                                    "type": "string"
                                  },
                                  "season": {
                                    "type": "integer"
                                  },
                                  "episode": {
                                    "type": "integer"
                                  },
                                  "on_air": {
                                    "type": "boolean"
                                  },
                                  "live_event": {
                                    "type": "boolean"
                                  }
                                }
                              },
                              "video_id": {
                                "type": "string"
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  }
}
```